bitxor.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_BITXOR(x, y) MSGPACK_PP_BITXOR_OO((x, y))
#define | MSGPACK_PP_BITXOR_OO(par) MSGPACK_PP_BITXOR_I ## par
#define | MSGPACK_PP_BITXOR_I(x, y) MSGPACK_PP_BITXOR_ID(MSGPACK_PP_BITXOR_ ## x ## y)
#define | MSGPACK_PP_BITXOR_ID(id) id
#define | MSGPACK_PP_BITXOR_00 0
#define | MSGPACK_PP_BITXOR_01 1
#define | MSGPACK_PP_BITXOR_10 1
#define | MSGPACK_PP_BITXOR_11 0

## Macro Definition Documentation

## MSGPACK_PP_BITXOR

#define MSGPACK_PP_BITXOR | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITXOR_OO((x, y))

## MSGPACK_PP_BITXOR_00

#define MSGPACK_PP_BITXOR_00 0

## MSGPACK_PP_BITXOR_01

#define MSGPACK_PP_BITXOR_01 1

## MSGPACK_PP_BITXOR_10

#define MSGPACK_PP_BITXOR_10 1

## MSGPACK_PP_BITXOR_11

#define MSGPACK_PP_BITXOR_11 0

## MSGPACK_PP_BITXOR_I

#define MSGPACK_PP_BITXOR_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITXOR_ID(MSGPACK_PP_BITXOR_ ## x ## y)

## MSGPACK_PP_BITXOR_ID

#define MSGPACK_PP_BITXOR_ID | ( |  | id | ) | id

## MSGPACK_PP_BITXOR_OO

#define MSGPACK_PP_BITXOR_OO | ( |  | par | ) | MSGPACK_PP_BITXOR_I ## par